### Method

# Adw ViewSwitcherSidebar get_mode

since: 1.9

#### Declaration [src]

    AdwSidebarMode
    adw_view_switcher_sidebar_get_mode (
      AdwViewSwitcherSidebar* self
    )

#### Description [src]

Gets `self`‘s look and behavior.

See `adw_sidebar_get_mode()`.

Available since: 1.9

Gets property | `Adw.ViewSwitcherSidebar:mode`

#### Return value

Type: `AdwSidebarMode`

The current mode.